<?
session_start();
include_once ($_SERVER[DOCUMENT_ROOT] . "/common/conf/config.inc.php");
include_once ($_SERVER[DOCUMENT_ROOT] . "/module/board/board.lib.php");
include_once $_SERVER[DOCUMENT_ROOT] . "/module/point/point.lib.php";

//DB연결
$dblink = SetConn($_conf_db["main_db"]);

$arrBoardInfo = getBoardInfo($_conf_tbl[board_info], mysql_real_escape_string($_REQUEST[boardid]));

if($_POST[evnMode]=="write"){
	if($arrBoardInfo["list"][0]["useadminonly"] =="Y" && !$_SESSION[$_SITE["DOMAIN"]]["ADMIN"]["ID"]){
		jsMsg("관리자만 글을 쓸 수 있는 게시판 입니다.");
		jsHistory("-1") ;
		exit;
	}	

	//게시물 등록
	$writeRS = insertBoardArticle(mysql_real_escape_string($_POST[boardid]),$arrBoardInfo["list"][0]["thumwidth"]);

	if($writeRS==true){
		if($boardid=="after" || $boardid=="qna"){
			//echo "<script>alert('게시물을 등록하였습니다.');parent.opener.document.location.reload();window.close();</script>";	
			jsGo($_POST[returnURL],"","게시물을 등록하였습니다.");
		}else{
			jsGo($_POST[returnURL],"","게시물을 등록하였습니다.");
		}
	}else{
		jsMsg("게시물 등록에 실패하였습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="reply"){
	if($arrBoardInfo["list"][0]["useadminonly"] =="Y" && !$_SESSION[$_SITE["DOMAIN"]]["ADMIN"]["ID"]){
		jsMsg("관리자만 글을 쓸 수 있는 게시판 입니다.");
		jsHistory("-1") ;
		exit;
	}
	if($_POST[evnMode]=="reply" && $arrBoardInfo["list"][0]["usereply"] !="Y"){
		jsMsg("답글쓰기가 제한된 게시판 입니다.");
		jsHistory("-1");
		exit;
	}
	//게시물 등록
	$replyRS = insertBoardArticleReply(mysql_real_escape_string($_POST[boardid]), mysql_real_escape_string($_POST[idx]), $arrBoardInfo["list"][0]["thumwidth"]);

	if($replyRS==true){
		jsGo($_POST[returnURL],"","게시물을 등록하였습니다.");
	}else{
		jsMsg("게시물 등록에 실패하였습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="modify"){
	if($arrBoardInfo["list"][0]["useadminonly"] =="Y" && !$_SESSION[$_SITE["DOMAIN"]]["ADMIN"]["ID"]){
		jsMsg("관리자만 글을 쓸 수 있는 게시판 입니다.");
		jsHistory("-1") ;
		exit;
	}
	//게시물 수정
	$modifyRS = modifyBoardArticle(mysql_real_escape_string($_POST[boardid]), mysql_real_escape_string($_POST[idx]), $arrBoardInfo["list"][0]["thumwidth"]);

	if($modifyRS==true){
		jsGo($_POST[returnURL],"","게시물을 수정하였습니다.");
	}else{
		jsMsg("게시물 수정에 실패하였습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="delete"){
	//게시물 삭제
	$deleteRS = deleteBoardArticle(mysql_real_escape_string($_POST[boardid]), mysql_real_escape_string($_POST[idx]));

	if($deleteRS==true){
		jsGo($_POST[returnURL],"","게시물을 삭제하였습니다.");
	}else{
		jsMsg("게시물 삭제에 실패하였습니다.");
		jsHistory("-1") ;
	}


}elseif($_POST[evnMode]=="unlock"){
	
	$checkRS = unlockBoardArticle(mysql_real_escape_string($_POST[boardid]), mysql_real_escape_string($_POST[idx]), mysql_real_escape_string($_POST[pass]));

	if($checkRS==true){
		//글잠금일경우 세션만들기
		$_SESSION[$_SITE[DOMAIN]][mysql_real_escape_string($_POST[boardid])."|".mysql_real_escape_string($_POST[idx])] = TRUE;
		jsGo($_POST[returnURL],"","");
	}else{
		jsMsg("비밀번호가 일치하지 않습니다.");
		jsHistory("-1") ;
	}

}else if($_POST[evnMode]=="comment_write"){

	$RS = insertComment(mysql_real_escape_string($_POST[boardid]), mysql_real_escape_string($_POST[board_idx]));

	if($RS==true){
		jsGo($_POST[returnURL],"","댓글을 등록 하였습니다.");
	}else{
		jsMsg("댓글 등록에 실패하였습니다.");
		jsHistory("-1") ;
	}


}else if($_REQUEST[evnMode]=="comment_delete"){

	$RS = deleteComment(mysql_real_escape_string($_REQUEST[idx]));

	if($RS==true){
		jsGo($_REQUEST[returnURL],"","댓글을 삭제 하였습니다.");
	}else{
		jsMsg("댓글 삭제에 실패하였습니다.");
		jsHistory("-1") ;
	}
}

//DB해제
SetDisConn($dblink);
?>